AgentServicePlugin (The Data Transfer Agent Library 2.0.0-3.8.0 API)
Date: 2015-08-04

org.gcube.datatransfer.agent.library.plugins

## Class AgentServicePlugin

- java.lang.Object
- - org.gcube.datatransfer.agent.library.plugins.AbstractPlugin<AgentServiceJAXWSStubs,AgentLibrary>
  - - org.gcube.datatransfer.agent.library.plugins.AgentServicePlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,AgentServiceJAXWSStubs,AgentLibrary>, org.gcube.common.clients.fw.plugin.Plugin<AgentServiceJAXWSStubs,AgentLibrary>

      public class AgentServicePlugin
      extends AbstractPlugin<AgentServiceJAXWSStubs,AgentLibrary>

- - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.agent.library.plugins.AbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentServicePlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `convert(Exception arg0, org.gcube.common.clients.config.ProxyConfig<?,?> arg1)`
    `AgentLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<AgentServiceJAXWSStubs> delegate)`
    `AgentServiceJAXWSStubs` | `resolve(EndpointReference address, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

    - ### Methods inherited from class org.gcube.datatransfer.agent.library.plugins.AbstractPlugin

      `name, namespace, serviceClass, serviceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentServicePlugin

          public AgentServicePlugin()

  - ### Method Detail

    - #### resolve

          public AgentServiceJAXWSStubs resolve(EndpointReference address,
                                       org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                         throws Exception

      Throws:
        `Exception`

    - #### newProxy

          public AgentLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<AgentServiceJAXWSStubs> delegate)

    - #### convert

          public Exception convert(Exception arg0,
                          org.gcube.common.clients.config.ProxyConfig<?,?> arg1)

Copyright © 2015. All Rights Reserved.